List User Phase Enrollments
curl --request GET \
--url https://app.govworx.net/api/v1/external/train/user/{userId}/enrollmentsimport requests
url = "https://app.govworx.net/api/v1/external/train/user/{userId}/enrollments"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://app.govworx.net/api/v1/external/train/user/{userId}/enrollments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"tenantId": 123,
"phaseId": 123,
"phaseName": "<string>",
"user": {
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"loginEnabled": true,
"notificationEmail": "<string>",
"id": 123,
"tenantId": 123,
"idpSub": "<string>",
"personnelId": "<string>",
"roleId": 123,
"isSuperAdmin": true,
"isSystemUser": true,
"mfaEnabled": true,
"lastLoginAt": "2023-11-07T05:31:56Z",
"isSupervisor": true,
"isTemplatePublishingAllowed": true,
"vlrIdentifier": "<string>",
"passwordExpiresAt": "2023-11-07T05:31:56Z",
"isPasswordExpired": true,
"isSupportUser": true,
"investmentTrainingPipeline": true
},
"primaryTrainingOfficer": {
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"loginEnabled": true,
"notificationEmail": "<string>",
"id": 123,
"tenantId": 123,
"idpSub": "<string>",
"personnelId": "<string>",
"roleId": 123,
"isSuperAdmin": true,
"isSystemUser": true,
"mfaEnabled": true,
"lastLoginAt": "2023-11-07T05:31:56Z",
"isSupervisor": true,
"isTemplatePublishingAllowed": true,
"vlrIdentifier": "<string>",
"passwordExpiresAt": "2023-11-07T05:31:56Z",
"isPasswordExpired": true,
"isSupportUser": true,
"investmentTrainingPipeline": true
},
"startDate": "2023-12-25",
"originalPlannedEndDate": "2023-12-25",
"projectedEndDate": "2023-12-25",
"actualEndDate": "2023-12-25",
"status": "SCHEDULED",
"statusReason": "<string>",
"signoffId": 123,
"hasSignoffFlow": true,
"taskLists": [
{
"id": 123,
"subject": {
"id": 123,
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"notificationEmail": "<string>"
},
"primaryTrainingOfficer": {
"id": 123,
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"notificationEmail": "<string>"
},
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"enrollmentDate": "2023-11-07T05:31:56Z",
"status": "IN_PROGRESS",
"taskListTemplateVersion": {
"id": 123,
"active": true,
"version": 123,
"columnCount": 123,
"trainingOfficerOnly": true,
"items": [
{
"id": 123,
"identifier": "<string>",
"name": "<string>",
"orderIndex": 123,
"parentId": 123
}
],
"groups": [
{
"id": 123,
"identifier": "<string>",
"name": "<string>",
"orderIndex": 123,
"parentId": 123
}
],
"name": "<string>",
"columnLabels": [
{
"id": 123,
"columnPosition": 123,
"columnName": "<string>"
}
],
"hasObservations": true
},
"items": [
{
"id": 123,
"taskListTemplateVersionItem": {
"id": 123,
"identifier": "<string>",
"name": "<string>",
"orderIndex": 123,
"parentId": 123
},
"isComplete": true,
"traineeColumnPosition": 123,
"trainerColumnPosition": 123,
"auditHistory": [
{
"id": 123,
"user": {
"id": 123,
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"notificationEmail": "<string>"
},
"positionType": "<string>",
"oldPosition": 123,
"newPosition": 123,
"checkedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"trainerId": 123
}
],
"groups": [
{
"id": 123,
"taskListTemplateVersionItemGroup": {
"id": 123,
"identifier": "<string>",
"name": "<string>",
"orderIndex": 123,
"parentId": 123
},
"isComplete": true
}
],
"totalItems": 123,
"notStartedItemCount": 123,
"explainedItemCount": 123,
"demonstratedItemCount": 123,
"proficientItemCount": 123,
"phaseNames": [
"<string>"
],
"phaseEnrollments": [
{
"id": 123,
"tenantId": 123,
"phaseId": 123,
"phaseName": "<string>",
"user": {
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"loginEnabled": true,
"notificationEmail": "<string>",
"id": 123,
"tenantId": 123,
"idpSub": "<string>",
"personnelId": "<string>",
"roleId": 123,
"isSuperAdmin": true,
"isSystemUser": true,
"mfaEnabled": true,
"lastLoginAt": "2023-11-07T05:31:56Z",
"isSupervisor": true,
"isTemplatePublishingAllowed": true,
"vlrIdentifier": "<string>",
"passwordExpiresAt": "2023-11-07T05:31:56Z",
"isPasswordExpired": true,
"isSupportUser": true,
"investmentTrainingPipeline": true
},
"primaryTrainingOfficer": {
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"loginEnabled": true,
"notificationEmail": "<string>",
"id": 123,
"tenantId": 123,
"idpSub": "<string>",
"personnelId": "<string>",
"roleId": 123,
"isSuperAdmin": true,
"isSystemUser": true,
"mfaEnabled": true,
"lastLoginAt": "2023-11-07T05:31:56Z",
"isSupervisor": true,
"isTemplatePublishingAllowed": true,
"vlrIdentifier": "<string>",
"passwordExpiresAt": "2023-11-07T05:31:56Z",
"isPasswordExpired": true,
"isSupportUser": true,
"investmentTrainingPipeline": true
},
"startDate": "2023-12-25",
"originalPlannedEndDate": "2023-12-25",
"projectedEndDate": "2023-12-25",
"actualEndDate": "2023-12-25",
"status": "SCHEDULED",
"statusReason": "<string>",
"signoffId": 123
}
],
"primaryPhaseEnrollmentId": 123,
"primaryPhaseName": "<string>",
"primaryPhaseId": 123
}
],
"minTrainingHours": 123,
"hasIncompleteTrainingReports": true,
"hasIncompleteTaskLists": true,
"canStartSignoff": true,
"isProgressionDisabled": true,
"existingInProgressEnrollmentId": 123,
"totalTrainingHours": 123,
"signoffCreatedAt": "2023-11-07T05:31:56Z"
}
]TRAIN
List User Phase Enrollments
Get a list of phase enrollments for a user including the phase status. Token must have ‘Manage Phases’ permission.
GET
/
api
/
v1
/
external
/
train
/
user
/
{userId}
/
enrollments
List User Phase Enrollments
Path Parameters
Response
200 - */*
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
SCHEDULED, IN_PROGRESS, SUBMITTED, WAITING_SIGNOFF, COMPLETE, CANCELLED Show child attributes
Show child attributes
⌘I

